## ghostscript 9.06~dfsg

=== debian/changelog ===
ghostscript (9.06~dfsg-2) unstable; urgency=medium

  * Add patch cherry-picked from Ghostscript 9.14 (AGPL) to fix /typecheck error in
    /findfont. Mention the explicit agreement to include that patch in a GPL
    Ghostscript in the patch description from the original author.
    (Closes: #732440)
  * Ack NMU, thanks!

 -- Didier Raboud <odyx@debian.org>  Fri, 09 Jan 2015 15:49:21 +0100

ghostscript (9.06~dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Symbols file: add mips64 and mips64el to 64bit list;
     mips64el and mipsn32el to le arch list to file. (Closes: 727179)

 -- YunQiang Su <syq@debian.org>  Tue, 14 Oct 2014 16:25:54 +0800

ghostscript (9.06~dfsg-1) unstable; urgency=medium

  * Team upload

  [ upstream ]
  * New release.
    Highlights:
    + PDF/A-2 - pdfwrite now supports the creation of PDF/A-2 files.
    + pdfwrite "Server mode" - pdfwrite can now be run in "server mode".
    + pdfwrite now supports the "%d" format in the OutputFile switch.
    + ps2write now emits PostScript in slightly different ways in order
      to produce output on a wider variety of devices.
    + Ghostscript can now use output intents defined in PDFs.
    + tiffsep/tiffsep1: support for large numbers of separations
      improved.
    + tiffsep, psdcmyk and psdrgb now support the "downscaler"
      functionality.
    + clist storage, for rendering pages in bands, is now a run-time
      option.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Fix merge some Files entries.
    + Tidy copyright holders to match new upstream release.
    + List upstream develpment mailinglist as preferred upstream
      contact.
  * Update repackaging:
    + Strip icclib.
      Drop corresponding entries in copyright file.
      Drop patch for CVE-2012-4405.
    + Stop strip CMap file Identity-UTF16-H: Explicitly declared in
      LICENSE (with a double negative) as GPL-3+~Artifex licensed.
    + Stop strip CMap files: not shipped since 9.06.
  * Drop patches 0* now included upstream and 1* adopted upstream.
  * Unfuzz all patches, and update patch 2003.
  * Update package relations:
    + Build-depend on recent libopenjpeg-dev (not libjasper-dev):
      JasPer support deprecated (will be dropped in 9.07).
    + Build-depend on libregexp-assemble-perl, libfont-ttf-perl and
      libimage-exiftool-perl: Needed for extracting metadata from ICC,
      PDF, and fonts.
    + Stop build-depending on liblcms1-dev: icc34.h now included
      upstream (outside of the convenience code copy of lcms1 project).
      Closes: Bug#745529. Thanks to Moritz Muehlenhoff.
    + Stop build-depending on libdbus-1-dev: CUPS filters no longer
      built.
    + Stop suggesting hpijs: Correct would be for said package (or
      rather its successor printer-driver-hpijs - or any add-on driver)
      to declare "Enhances: ghostscript" instead.
  * Disable broken omni driver.
  * Use canonical hostname (anonscm.debian.org) in Vcs-Git URI.
  * Add patch 1001 to document inkcov device.
  * Extract metadata from ICC, PDF, and truetype files before copyright
    check.
  * Stop building CUPS filters, and drop binary package
    ghostscript-cups: Ghostscript-based CUPS filters obsolete (will be
    dropped upstream in 9.09).
    Closes: bug#735612. Thanks to Adrian Bunk and Didier 'OdyX' Raboud.
  * Avoid building CUPS driver or checking symbols file when
    bootstrapping an architecture.
    Closes: bug#717827. Thanks to Matthias Klose and Daniel Schepler.
  * Update Vcs-* fields: Packaging git moved to printing area of Alioth.
  * Stop explicitly xz-compressing binary packages: Done by default now.
  * Fix avoid hardcoded (and broken, by now) ABI in fallback font path.
  * Document in README.Debian linkage against unpatched OpenJPEG (i.e.
    lacking JPEG2000 color calibration) in README.Debian.
  * Move ICC profiles to shared dir, to allow reuse by others.
  * Bump standards-version to 3.9.5.
  * Update symbols file (79 new, 29 dropped).
  * Add patch cherry-picked upstream, to avoid icclib.
    Closes: Bug#531624. Thanks to Moritz Muehlenhoff.

  [ Didier Raboud ]
  * Add libjasper-dev as Build-Depend, let the two symbols back in
  * Ack NMU, thanks!

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Aug 2014 19:08:41 -0700

ghostscript (9.05~dfsg-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add ppc64el to symbols file. Closes: #751917

 -- Andreas Barth <aba@ayous.org>  Sun, 17 Aug 2014 10:03:39 +0000

ghostscript (9.05~dfsg-9) unstable; urgency=medium

  * Update my email address.
  * Build against lcms2 (closes: #745529).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 08 Aug 2014 00:59:38 +0000

ghostscript (9.05~dfsg-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add arm64 to symbols file. Thanks to Matthias Klose (Closes: #717826)
  * Fix gs/ps typo in clean target preventing rebuilds (Closes: #733018)

 -- Wookey <wookey@debian.org>  Mon, 07 Apr 2014 02:37:59 +0000

ghostscript (9.05~dfsg-8) unstable; urgency=medium

  * Add patches to fix endless loops related to unbalanced q/Q
    operators.
    Closes: bug#714247. Thanks to Paul Wise.
  * Add patch to fix apply colord icc profile to ghostscript-cups
    (deliberately skipping related patch for calibration prints not
    applying to Ghostscript 9.05).
    Closes: bug#712045. Thanks to Alexey Galakhov.
  * Add patch to fix encode pdf metadata in compliance with pdf
    standard. Closes: bug#694067. Thanks to Paul Menzel.
  * Set urgency=medium: bug#714247 causes remote denial-of-service.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Jul 2013 15:57:57 +0200

ghostscript (9.05~dfsg-7) experimental; urgency=low

  * Clarify consequences of linking against shared libjpeg (i.e. not
    setting custom D_MAX_BLOCKS_IN_MCU).
    Closes: bug#582522. Thanks to Bastien ROUCARIÈS.
  * Bump debhelper compatibility level to 8.
  * Update copyright file:
    + Fix use pseudo-license and pseudo-comment sections to obey silly

