## ghostscript 9.07~dfsg2

=== debian/changelog ===
ghostscript (9.07~dfsg2-0ubuntu3) raring; urgency=low

  * debian/patches/020130401-852e545-pxl-xl-driver-produced-drawing-commands-without-setting-color-space.patch:
    PCL-XL driver (pxlmono/pxlcolor) could produce drawing commands without
    setting the color space.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  1 Apr 2013 13:58:30 +0100

ghostscript (9.07~dfsg2-0ubuntu2) raring; urgency=low

  * debian/libgs__VER__-common.links.in: Removed hard-coded Ghostscript version
    number in installation path.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 15 Mar 2013 11:39:30 +0100

ghostscript (9.07~dfsg2-0ubuntu1) raring; urgency=low

  * New source tarball repackaging
     - Do not remove liblcms2 and libopenjpeg
  * debian/rules: Use the liblcms2 shipping with Ghostscript as this version
    has an API addition which did not make it into upstream liblcms2 yet.
  * debian/control: Removed build dependency on liblcms2-dev.
  * debian/symbols.common: Updated for new upstream source. Applied patch
    which dpkg-gensymbols generated for debian/libgs9.symbols to this file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 15 Mar 2013 08:48:30 +0100

ghostscript (9.07~dfsg-0ubuntu1) raring; urgency=low

  * New upstream release
     - Ghostscript 9.07 final release
     - As of this release (9.07), Ghostscript and GhostPDL are distributed
       under the GNU Affero General Public License (AGPL).
     - The pdfwrite device now supports linearized (or optimized for fast web
       view) output directly ("-dFastWebView")
     - The Font API (FAPI) has been moved from the Postscript interpreter (psi)
       into the graphics library (base), and extended to support the other
       languages (PCL/PXL/XPS). All interpreters now use Freetype by default to
       render all viable font types.
     - Ghostscript has been extended to support Postscript string and array
       objects with >64k entries.
     - Ghostscript has been extended to support file sizes >4Gb - in particular
       reading and writing PDF files. As a side effect of this, Ghostscript
       also now supports 64 bit Postscript integer objects.
     - All CMYK devices can now support simulated overprint of spot colors
       using the "-dSimulateOverprint" command line option.
     - Support for use of DeviceN ICC color profiles as the output profile with
       the tiffsep and psdcmyk devices.
     - Support for customized named color handling with DeviceN colors
     - Support for black point compensation
     - Support for K preservation in CMYK to CMYK conversions
     - Support for DeviceLink profiles for graphic, image and text objects
     - Support for custom color replacement
     - Increased control in specifying color conversions as a function of
       object type
     - Full details of the color management features can be found in:
       /usr/share/doc/ghostscript-doc/GS9_Color_Management.pdf
     - Provide BigTIFF output option: the tiff devices can write BigTIFF files
       using the "-dUseBigTIFF" option. This requires libtiff version >=4.0.0
       (the option is ignored for versions <4.0.0)
     - Plus the usual round of bug fixes, compatibility changes, and
       incremental improvements.
     - Using built-in libopenjpeg with security fixes for CVE-2009-5030,
       CVE-2012-1499, and CVE-2012-3358.
  * debian/patches/020120921-d527ead-fix-segfault-on-pdf-to-image-conversion.patch,
    debian/patches/020121012-bfae0b9-fix-bounding-box.patch
    debian/patches/020130122-188e13b-cups-raster-page-size-matching-improvements.patch: Removed upstream patches.
  * debian/copyright: Ghostscript is under AGPL 3+ now.
  * debian/control: Build-depend on liblcms2-dev >= 2.4-0ubuntu3.
  * debian/rules: Updated DEB_UPSTREAM_TARBALL_MD5
  * debian/rules: Removed obsolete "--with-omni" from the ./configure
    command line options, the "omni" driver stopped working years ago,
    and no one complained.
  * debian/symbols.common: Updated for new upstream source. Applied patch
    which dpkg-gensymbols generated for debian/libgs9.symbols to this file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 13 Mar 2013 14:23:35 +0100

ghostscript (9.06~dfsg-0ubuntu5) raring; urgency=low

  * debian/patches/020130122-188e13b-cups-raster-page-size-matching-improvements.patch:
    CUPS Raster "cups" device: These changes improve the matching of the
    sizes of the incoming pages with the page sizes available for the
    printer according to the PPD file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 22 Jan 2013 22:52:27 +0100

ghostscript (9.06~dfsg-0ubuntu4) quantal-proposed; urgency=low

  * debian/patches/020121012-bfae0b9-fix-bounding-box.patch: Fixed
    BoundingBox entry generation (LP: #1035667, Upstream bug #693293).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 12 Oct 2012 12:03:27 +0200

ghostscript (9.06~dfsg-0ubuntu3) quantal; urgency=low

  * debian/patches/020120921-d527ead-fix-segfault-on-pdf-to-image-conversion.patch:
    Fixed crash on conversion from PDF to image formats like PNG, JPG, ...
    (LP: #1050602).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 21 Sep 2012 17:22:27 +0200

ghostscript (9.06~dfsg-0ubuntu2) quantal; urgency=low

  * debian/rules, debian/control.in.in, debian/control.in, debian/control:
    Demoted fonts-droid from the Recommends: sectionof the libgs9-common
    package to Suggests:, ship the DroidSansFallback.ttf fallback font file
    (LP: 1048820).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 11 Sep 2012 16:43:27 +0200

ghostscript (9.06~dfsg-0ubuntu1) quantal; urgency=low

  * New upstream release
     - Ghostscript 9.06 final release
     - PDF/A-2 - pdfwrite now supports the creation of PDF/A-2 files. The
       'PDFA' command line switch can now take a numeric parameter:
         0 = not PDF/A compliant
         1 = PDF/A-1b compliant
         2 = PDF/A-2b compliant
       Simply specifying "-dPDFA" continues to have the old behaviour of

