=== debian/control ===
--- 
+++ 
@@ -1,51 +1,47 @@
 Source: ghostscript
 Section: text
 Priority: optional
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
-Build-Depends: cdbs,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Build-Depends: cdbs (>= 0.4.72~),
  autoconf,
  debhelper,
  dh-buildinfo,
  devscripts,
- libregexp-assemble-perl,
- libimage-exiftool-perl,
- libfont-ttf-perl,
- libopenjpeg-dev (>= 1.5),
- d-shlibs (>= 0.45~),
+ libfreetype6-dev,
+ libcups2-dev (>= 1.3.7),
+ libcupsimage2-dev (>= 1.1.20final+rc1-4),
+ libdbus-1-dev,
  libjpeg-dev,
- libjasper-dev,
+ libpaper-dev,
  libpng-dev,
+ libz-dev,
+ libfontconfig1-dev,
  libtiff-dev,
- libz-dev,
+ libexpat-dev,
  libjbig2dec-dev,
+ libidn11-dev,
  libijs-dev,
- libexpat-dev,
+ freeglut3-dev | libglut-dev,
  libxt-dev,
  libxext-dev,
  libx11-dev,
  libice-dev,
  libsm-dev,
- liblcms2-dev,
- libjasper-dev,
- libfreetype6-dev,
- libfontconfig1-dev,
- libcups2-dev,
- libcupsimage2-dev,
- libpaper-dev,
- libidn11-dev,
- freeglut3-dev | libglut-dev,
- pkg-config
-Standards-Version: 3.9.5
+ pkg-config,
+ d-shlibs (>= 0.45~)
+Standards-Version: 3.9.3
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
- Michael Gilbert <mgilbert@debian.org>,
- Bastien ROUCARIÈS <roucaries.bastien+debian@gmail.com>
+ Michael Gilbert <michael.s.gilbert@gmail.com>
 Homepage: http://www.ghostscript.com/
-Vcs-Git: git://anonscm.debian.org/git/printing/ghostscript.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=printing/ghostscript.git
+Vcs-Git: git://git.debian.org/git/collab-maint/ghostscript.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ghostscript.git
 
 Package: ghostscript
 Architecture: any
 Multi-Arch: foreign
+Conflicts: ${cdbs:Conflicts}
+Replaces: ${cdbs:Replaces}
 Provides: ${cdbs:Provides}
 Recommends: ${cdbs:Recommends}
 Suggests: ${cdbs:Suggests}
@@ -53,6 +49,7 @@
  ${cdbs:Depends},
  libgs9 (= ${binary:Version}),
  ${misc:Depends}
+Breaks: ${cdbs:Breaks}
 Description: interpreter for the PostScript language and for PDF
  GPL Ghostscript is used for PostScript/PDF preview and printing.
  Usually as a back-end to a program such as ghostview, it can display
@@ -62,11 +59,31 @@
  printed on non-PostScript printers. Supported printers include common
  dot-matrix, inkjet and laser models.
 
+Package: ghostscript-cups
+Architecture: any
+Depends: ${shlibs:Depends},
+ ${cdbs:Depends},
+ ${misc:Depends}
+Recommends: ${cdbs:Recommends},
+ ${cdbs:Recommends}
+Conflicts: ${cdbs:Conflicts}
+Replaces: ${cdbs:Replaces}
+Provides: ${cdbs:Provides}
+Description: interpreter for the PostScript language and for PDF - CUPS filters
+ GPL Ghostscript is used for PostScript/PDF preview and printing.
+ Usually as a back-end to a program such as ghostview, it can display
+ PostScript and PDF documents in an X11 environment.
+ .
+ This package contains the CUPS filters, drivers, and PPDs which come
+ with GPL Ghostscript.
+
 Package: ghostscript-x
 Architecture: any
 Depends: ${shlibs:Depends},
  ${cdbs:Depends},
  ${misc:Depends}
+Conflicts: ${cdbs:Conflicts}
+Provides: ${cdbs:Provides}
 Description: interpreter for the PostScript language and for PDF - X11 support
  GPL Ghostscript is used for PostScript/PDF preview and printing.
  Usually as a back-end to a program such as ghostview, it can display
@@ -81,6 +98,7 @@
  ${cdbs:Depends},
  ${misc:Depends}
 Suggests: ${cdbs:Suggests}
+Conflicts: ${cdbs:Conflicts}
 Description: interpreter for the PostScript language and for PDF - Documentation
  GPL Ghostscript is used for PostScript/PDF preview and printing.
  Usually as a back-end to a program such as ghostview, it can display
@@ -108,7 +126,9 @@
 Section: libs
 Architecture: all
 Depends: ${misc:Depends}
+Replaces: ${cdbs:Replaces}
 Recommends: ${cdbs:Recommends}
+Suggests: ${cdbs:Suggests}
 Description: interpreter for the PostScript language and for PDF - common files
  GPL Ghostscript is used for PostScript/PDF preview and printing.
  Usually as a back-end to a program such as ghostview, it can display
@@ -125,9 +145,24 @@
 Package: libgs-dev
 Section: libdevel
 Architecture: any
-Depends: ${devlibs:Depends},
+Depends: libgs9 (= ${binary:Version}),
+ libc6-dev,
+ libcups2-dev,
+ libcupsimage2-dev,
+ libfontconfig1-dev,
+ libidn11-dev,
+ libijs-dev,
+ libjbig2dec0-dev,
+ libjpeg-dev,
+ libpaper-dev,
+ libpng12-0-dev,
+ libtiff5-dev,
+ zlib1g-dev,
  ${cdbs:Depends},
  ${misc:Depends}
+Conflicts: ${cdbs:Conflicts}
+Replaces: ${cdbs:Replaces}
+Provides: ${cdbs:Provides}
 Description: interpreter for the PostScript language and for PDF - Development Files
  GPL Ghostscript is used for PostScript/PDF preview and printing.
  Usually as a back-end to a program such as ghostview, it can display
@@ -145,12 +180,13 @@
  ${cdbs:Depends},
  libgs9 (= ${binary:Version}) |
  ghostscript (= ${binary:Version}) |
- ghostscript-x (= ${binary:Version}),
+ ghostcript-cups (= ${binary:Version}) |
+ ghostcript-x (= ${binary:Version}),
  ${misc:Depends}
 Description: interpreter for the PostScript language and for PDF - Debug symbols
  GPL Ghostscript is used for PostScript/PDF preview and printing.
  Usually as a back-end to a program such as ghostview, it can display
  PostScript and PDF documents in an X11 environment.
  .
- This package contains the debugging symbols for ghostscript,
- ghostscript-x, and libgs9.
+ This package contains the debugging symbols for ghostscript, ghostscript-x,
+ ghostscript-cups and libgs9.
